Get Memories
Retrieve raw memory records directly from the cluster with optional filters.
Unlike the Search API which performs adaptive vector similarity lookups, this endpoint executes a deterministic fetch of memory records.
It is primarily used for auditing, content management, and retrieving system-generated insights.
Endpoint
Section titled “Endpoint”GET /v1/memory
Query parameters
Section titled “Query parameters”| Param | Type | Status | Description |
|---|---|---|---|
limit | Number | OPTIONAL | Default: 50. |
memoryType | String | OPTIONAL | Filter by the specific Memory Node. Matches the memory_type field returned in search results. |
cURL example
Section titled “cURL example”curl -X GET "https://api.memorymodel.dev/v1/memory?limit=10" \ -H "Authorization: Bearer YOUR_API_KEY"// npm install @memorymodel/clientimport { MemoryClient } from '@memorymodel/client';
const client = new MemoryClient({ apiKey: "sk_live_...", defaultEndUserId: "user_123"});
const memories = await client.list({ limit: 10});# pip install memory-modelfrom memory_model import MemoryClient
client = MemoryClient( api_key="sk_live_...", default_end_user_id="user_123")
memories = client.list(limit=10)